Instalando o Ruby On Rails no Windows

Você precisa estar logado para dar um feedback. Clique aqui para efetuar o login
Para efetuar o download você precisa estar logado. Clique aqui para efetuar o login
Confirmar voto
0
 (2)  (0)

Esse artigo visa demonstrar como instalar o Ruby on Rails, de uma forma simples e prática, sem maiores preocupações.


Introdução

Existem vários tutorias na internet que ensinam como instalar o Ruby on Rails de forma fácil e rápida, mas que na prática não funcionam direito. Da ultima vez que tentei instalar o ruby on rails no Windows 7, perdi 2 dias inteiros até conseguir fazer funcionar.

Um problema que encontrei ao aprender o ruby, é que cada tutorial é escrito em uma versão, e as vezes, os comandos que funcionam em uma versão, deixam de funcionar em outras.

Por isso resolvi escrever esse pequeno tutorial, demonstrando como instalar o Ruby on Rails, configurando a versão a ser utilizada sem maiores dores de cabeça.

AVISO: Antes de continuar, quero deixar claro que para realizar os passos abaixo o usuarío deve saber utilizar os comandos básico do prompt do ms-dos, como acessar pasta e executar comandos.

1º Instale o Ruby.

Acesse o endereço http://rubyforge.org/frs/?group_id=167 e baixe o arquivo “rubyinstaller-1.8.7-p334.exe”.

  1. Execute o arquivo de instalação e clique em Next na primeira tela.
  2. Aceite os termos do contrato clicando em I’Gree e clique no botão Next.
  3. Na proxima tela escolha uma pasta para instalação do ruby ou deixe a padrão mesmo e clique no checkbox “Add Ruby executables to yout Path” e clique em Install.

Pronto o Ruby está instalado.

2º Atualize a Gems

Acesse o endereço http://rubyforge.org/frs/?group_id=126 e baixe o arquivo rubygems-1.7.2.zip.
Depois de baixado, descompacte em uma pasta qualquer.

Abra o prompt de comando do MS-DOS e acesse a pasta onde você descompactou o rubygems. Dentro dela existe um arquivo chamado setup.rb.No prompt de comando digite:

ruby setup.rb

Pronto, as Gems estão atualizadas.

3º Instale o Ruby on Rails
Um problema que tem acontecido é que ao executar o comando para instalar o Rails, ele busca a ultima versão do Rails disponivel. Nos meus testes aqui, ela não funcionava legal. Então a solução encontrada foi instalar uma outra versão. Nesse exemplo, vou instalar a versão 1.2.6, mas você pode instalar qualquer outra, basta especificar o numero da versão (Para saber as versões disponiveis acesse: http://rubyforge.org/frs/?group_id=307). O comando para instalar é esse:

gem install rails --version “1.2.6”

e aguardar até o fim do processamento.

Pronto, agora ele está funcionado.

Dica: Caso você esteja trabalhando com mais de uma versão do rails, para criar um projeto na versão desejada use o seguinte comando: rails _versao_ nome do projeto. Exemplo, tenho a versão 2.1.0 e a 1.2.6 e quero criar um projeto na versão 1.2.6. o comando ficaria assim:

rails _1.2.6_ meuprojeto
 
Você precisa estar logado para dar um feedback. Clique aqui para efetuar o login
Receba nossas novidades
Ficou com alguma dúvida?